import argparse
import asyncio

from clarabot_nano.gateway.process import GatewayProcess


async def startup():
    proc = GatewayProcess()
    await proc.run()


def main():
    parser = argparse.ArgumentParser("Clarabot Nano - Gateway process")
    args = parser.parse_args()
    asyncio.run(startup())


if __name__ == "__main__":
    main()
